repo/gentoo:master commit in: app-misc/openhab-bin/
"Florian Schmaus" <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786133283.433e94d47fea01ccb3add7267679711248e5bad7.flow@gentoo> |
commit: 433e94d47fea01ccb3add7267679711248e5bad7
Author: Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 7 20:07:52 2026 +0000
Commit: Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Fri Aug 7 20:08:03 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=433e94d4
app-misc/openhab-bin: add 5.2.1
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>
app-misc/openhab-bin/Manifest | 1 +
app-misc/openhab-bin/openhab-bin-5.2.1.ebuild | 137 ++++++++++++++++++++++++++
2 files changed, 138 insertions(+)
diff --git a/app-misc/openhab-bin/Manifest b/app-misc/openhab-bin/Manifest
index 8c1f795166e8..d46700a93f6a 100644
--- a/app-misc/openhab-bin/Manifest
+++ b/app-misc/openhab-bin/Manifest
@@ -1,3 +1,4 @@
DIST openhab-5.1.3.tar.gz 121107971 BLAKE2B c2304ba9179b337670a8ec105948d0b4026cdfff1efa8169402b896945b0056d75361f160be7f32693e81d90befb5c4936191cd8c6804bf3881094c08edfd348 SHA512 bc3f15fffa01abee96aa7cc3e303a3bf35773ba1b9d72e81196f77055f9c269017e31975a6f4f9f6d6671a4eb6003b13c3832d796f7043525a94a01b71f876c2
DIST openhab-5.1.4.tar.gz 121105550 BLAKE2B 400d68439335a90ef77b0c16669d02ff528802d8b084e0f72415a7afe59cb7f8928c48652864583349ece5af8a2331135d3e7af395480fc2e9b989eab557aa48 SHA512 c9f18277eeea1750373243e456eec4d8dd56513f6c73a35fa30ef44e5e49b5690a2f852a3f596ad47ccbec231f7c400eb0eb49021e97be6f93c82cf671c99990
+DIST openhab-5.2.1.tar.gz 125042753 BLAKE2B 8a6698856564de8eee307dfc6b608091acff0bda0a871b3611579d1fa72d62d4f8dedc138f5b546dd53d7aa57f2873143e1cefbfd910543bcf3f4a1cd8fd3b26 SHA512 7592aeb1dfaac703c63144602520ec04b7e081f3ee6073a4ce9f0668cf539765efd5fae13f94b6daeadac88ce2bdc94b9c2a751ff2c5889eeff8ce10cf8d5a22
DIST openhab-cli-2024-01-14 8633 BLAKE2B 0b0999abcb884b779087b92f9f3e08fee3662753692392fbb30d218d0fc25fd1fca613c32b8193a3365764c55ac3525f8369aeea4edbf61223cd0219209c4cbf SHA512 bf24ae776d4362e8a60a0c71cb025834e5f645a24377a87484477f544026f2fdd996a1781f1082e62197fce33a9dadb5972df22ce3e4cd9f73d3088ec5bc0a98
diff --git a/app-misc/openhab-bin/openhab-bin-5.2.1.ebuild b/app-misc/openhab-bin/openhab-bin-5.2.1.ebuild
new file mode 100644
index 000000000000..622c3e827ef1
--- /dev/null
+++ b/app-misc/openhab-bin/openhab-bin-5.2.1.ebuild
@@ -0,0 +1,137 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit edo systemd tmpfiles
+
+MY_PN=${PN%-bin}
+MY_P=${MY_PN}-${PV}
+MY_CLI_VER=2024-01-14
+
+DESCRIPTION="An open-source automation software for your home"
+HOMEPAGE="https://www.openhab.org/"
+SRC_URI="
+ https://github.com/openhab/openhab-distro/releases/download/${PV}/${MY_P}.tar.gz
+ https://raw.githubusercontent.com/openhab/openhab-linuxpkg/10061acd36524afb12a033fea6dcf142b399bf56/resources/usr/bin/openhab-cli
+ -> openhab-cli-${MY_CLI_VER}
+"
+
+S="${WORKDIR}"
+LICENSE="EPL-2.0"
+SLOT="0"
+
+KEYWORDS="~amd64 ~arm64"
+
+MY_JAVA_DEPEND="virtual/jre:21"
+
+# app-arch/zip: used by "openhab-cli backup"
+RDEPEND="
+ ${MY_JAVA_DEPEND}
+ acct-user/openhab
+ app-arch/zip
+ dev-java/java-config
+"
+
+BDEPEND="app-arch/unzip"
+
+src_compile() {
+ :
+}
+
+src_install() {
+ # We use move here to preserve the executable bit on the files under
+ # openhab/runtime/bin.
+ domove() {
+ local source="${1}"
+ local target="${2}"
+
+ local dest="${ED}/${target}"
+
+ mkdir -p "${dest}" || die "Failed to create ${dest}"
+ mv "${source}"/* "${dest}" || die "Failed to move"
+ }
+
+ domove runtime /usr/share/openhab/runtime
+ domove conf /etc/openhab
+ fowners -R openhab:openhab /etc/openhab
+
+ domove userdata /var/lib/openhab
+ fowners -R openhab:openhab /var/lib/openhab
+
+ local dirs=(
+ /usr/share/openhab/addons
+ /var/log/openhab
+ )
+ local d
+ for d in "${dirs[@]}"; do
+ keepdir "${d}"
+ fowners openhab:openhab "${d}"
+ done
+
+ newenvd "${FILESDIR}"/openhab.env 50openhab
+
+ systemd_dounit "${FILESDIR}"/openhab.service
+ newtmpfiles "${FILESDIR}"/openhab.tmpfiles openhab.conf
+
+ newbin - openhab <<EOF
+#!/usr/bin/env bash
+set -eu
+
+if [[ -v JAVA_HOME_OVERRIDE ]]; then
+ JAVA_HOME="\${JAVA_HOME_OVERRIDE}"
+else
+ if ! GENTOO_JAVA_VM="\$(depend-java-query --get-vm '${MY_JAVA_DEPEND}')"; then
+ >&2 echo "Could not find Java VM for ${MY_JAVA_DEPEND}"
+ exit 1
+ fi
+
+ if ! JAVA_HOME_ASSIGNMENT=\$(java-config -P \${GENTOO_JAVA_VM} | grep JAVA_HOME); then
+ >&2 echo "Could not retrieve JAVA_HOME of \${GENTOO_JAVA_VM}"
+ exit 1
+ fi
+
+ eval \${JAVA_HOME_ASSIGNMENT}
+fi
+
+export JAVA_HOME
+exec /usr/share/openhab/runtime/bin/karaf "\$@"
+EOF
+ newbin "${DISTDIR}"/openhab-cli-${MY_CLI_VER} openhab-cli
+
+ newinitd "${FILESDIR}"/openhab.initd openhab
+}
+
+pkg_postinst() {
+ tmpfiles_process openhab.conf
+
+ if [[ -z ${REPLACING_VERSIONS} && -z ${OPENHAB_POSTINST_UPDATE} ]]; then
+ return
+ fi
+
+ if [[ -d "${EROOT}"/run/systemd/system ]]; then
+ if systemctl is-active --quiet openhab; then
+ local openhab_service_active=1
+ einfo "Restarting OpenHAB service due to version update"
+ edob systemctl daemon-reload
+ edob systemctl stop openhab
+ fi
+
+ echo y | edob -m "Cleaning OpenHAB cache" \
+ openhab-cli clean-cache
+ assert "Failed to clean OpenHAB cache"
+
+ if [[ -v openhab_service_active ]]; then
+ edob systemctl start openhab
+ fi
+ elif [[ -d /run/openrc ]]; then
+ einfo "Follow these steps to complete the update of OpenHAB:"
+ einfo
+ einfo "1. Stop the OpenHAB's service"
+ einfo "$ rc-service openhab stop"
+ einfo "2. Clean OpenHAB's cache"
+ einfo "$ openahb-cli clean-cache"
+ einfo "3. Restart OpenHAB's service"
+ einfo "$ rc-service openhab start"
+ fi
+}